=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         dbus (>= 1.8), xvfb, xauth, akonadi-backend-sqlite
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags
Restrictions: allow-stderr
