## akonadi-search 18.04.3

=== debian/changelog ===
akonadi-search (4:18.04.3-0ubuntu1) cosmic; urgency=medium

  * New upstream release (18.03.80)
  * New upstream release (18.04.0)
  * New upstream release (18.04.1)
  * New upstream release (18.04.3)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 18:52:37 +0100

akonadi-search (4:17.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 16 Mar 2018 13:21:50 +0000

akonadi-search (4:17.12.2-0ubuntu3) bionic; urgency=medium

  * Re-enable and fix failing acc test:
    - add libxapian-dev to libkf5akonadisearch-dev Depends
    - add /usr/include/xapian.h on top of <headers>

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 02 Mar 2018 18:52:33 +0000

akonadi-search (4:17.12.2-0ubuntu2) bionic; urgency=medium

  * 'out-of-patience-error' so disable buggy acc header compilation

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 01 Mar 2018 22:20:56 +0000

akonadi-search (4:17.12.2-0ubuntu1) bionic; urgency=medium

  * Add missing -dev package depend on libkf5akonadisearchxapian5 lib
  * New upstream release (17.11.80)
  * New upstream release (17.11.90)
  * New upstream release (17.12.0)
  * New upstream release (17.12.2)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 28 Feb 2018 09:43:26 +0000

akonadi-search (4:17.08.3-0ubuntu1) bionic; urgency=medium

  * Update symbols from build logs
  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:00:14 +0000
