=== debian/control ===
--- 
+++ 
@@ -6,24 +6,24 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11),
                extra-cmake-modules (>= 5.47.0~),
-               libkf5akonadi-dev (>= 4:18.08.1~),
-               libkf5akonadimime-dev (>= 4:18.08.1~),
-               libkf5calendarcore-dev (>= 4:18.08.1~),
+               libkf5akonadi-dev (>= 4:18.08.3~),
+               libkf5akonadimime-dev (>= 4:18.08.3~),
+               libkf5calendarcore-dev (>= 4:18.08.3~),
                libkf5config-dev (>= 5.47.0~),
-               libkf5contacts-dev (>= 4:18.08.1~),
+               libkf5contacts-dev (>= 4:18.08.3~),
                libkf5crash-dev (>= 5.47.0~),
                libkf5dbusaddons-dev (>= 5.47.0~),
                libkf5i18n-dev (>= 5.47.0~),
                libkf5kcmutils-dev (>= 5.47.0~),
                libkf5kio-dev (>= 5.47.0~),
-               libkf5mime-dev (>= 18.08.1~),
+               libkf5mime-dev (>= 18.08.3~),
                libkf5runner-dev (>= 5.47.0~),
                libxapian-dev,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.9.0~),
                xauth,
                xvfb,
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Homepage: https://projects.kde.org/projects/kde/pim/akonadi-search
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/akonadi-search
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/akonadi-search.git
@@ -51,15 +51,15 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:18.08.1~),
-         libkf5akonadimime-dev (>= 4:18.08.1~),
+Depends: libkf5akonadi-dev (>= 4:18.08.3~),
+         libkf5akonadimime-dev (>= 4:18.08.3~),
          libkf5akonadisearchcore5 (= ${binary:Version}),
          libkf5akonadisearchdebug5 (= ${binary:Version}),
          libkf5akonadisearchpim5 (= ${binary:Version}),
          libkf5akonadisearchxapian5 (= ${binary:Version}),
-         libkf5calendarcore-dev (>= 4:18.08.1~),
-         libkf5contacts-dev (>= 4:18.08.1~),
-         libkf5mime-dev (>= 18.08.1~),
+         libkf5calendarcore-dev (>= 4:18.08.3~),
+         libkf5contacts-dev (>= 4:18.08.3~),
+         libkf5mime-dev (>= 18.08.3~),
          qtbase5-dev (>= 5.9.0~),
          ${misc:Depends},
 Description: Akonadi search library - development files
